quotes_app/urls.py
"""Quotes App Urls"""
from django.urls import path

from . import views

app_name = 'quotes_app'

urlpatterns = [
   path('', views.index, name='index'),
   path('delete_quote/<quote_id>', views.delete_quote, name='delete_quote'),
]

quotes_project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
   path('admin/', admin.site.urls),
   path('quotes/', include('quotes_app.urls')),
]

quotes_app/models.py
"""Quotes models"""
from django.db import models


class Quote(models.Model):
    """A quote table"""
    text = models.CharField(max_length=200)

quotes_app/views.py
"""Views"""
from django.shortcuts import get_object_or_404, render
from .models import Quote


def index(request):
    """Showing index page"""

    if request.method == "POST":
        text = request.POST["text"]
        quote = Quote()
        quote.text = text
        quote.save()

    quotes = Quote.objects.all()
    context = {
      'quotes' : quotes
    }
    return render(request, 'quotes_app/index.html', context)

def delete_quote(request, quote_id):
    """Deleting quote"""

    quote = get_object_or_404(Quote, pk=quote_id)
    quote.delete()

    quotes = Quote.objects.all()
    context = {
      'quotes' : quotes
    }
    return render(request, 'quotes_app/index.html', context)

quotes_app/templates/quotes_app/index.html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Quotes</title>
  </head>
  <body id="app">
    <div class="container">
      <h1>Quotes:</h1>
      <form action="{% url 'quotes_app:index' %}" method="POST">
        {% csrf_token %}
        <input type="text" name="text" placeholder="your quote..." />
        <button>add a quote</button>
      </form>
      <div class="quotes">
        {% for quote in quotes %}
        <div class="quote">
          <h3>{{ quote.text }}</h3>
          <a href="{% url 'quotes_app:delete_quote' quote_id=quote.id %}" class="delete">x</a>
        </div>
        {% endfor %}
      </div>
    </div>
  </body>
  <style>
    input {
      padding: 10px 15px;
      border: none;
      font-weight: 700;
      background: rgba(255, 192, 203, 0.397);
      border-radius: 5px;
      outline: none;
    }
    .quotes {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      grid-gap: 30px;
      margin-top: 30px;
    }
    .quote {
      background: rgba(0, 0, 0, 0.2);
      border-radius: 5px;
      width: 300px;
      padding: 20px;
      position: relative;
    }
    .quote:hover > .delete {
      opacity: 1;
      visibility: visible;
    }
    .delete {
      position: absolute;
      top: 5px;
      right: 5px;
      width: 30px;
      height: 30px;
      background: white;
      border-radius: 50%;
      line-height: 30px;
      font-weight: 700;
      cursor: pointer;
      text-decoration: none;
      color: inherit;
      padding: 0;

      opacity: 0;
      visibility: hidden;
      transition: all 0.2s ease-in;
    }
    .container {
      width: 100%;
      height: 100%;
      padding: 30px;
    }
    h1 {
      width: 50%;
      margin-left: auto;
      margin-right: auto;
      margin-bottom: 50px;
    }
    button,
    a {
      padding: 10px 15px;
      border-radius: none;
      border: none;
      font-weight: 700;
      outline: none;
      background: pink;
      transition: all 0.1s ease-in;
      cursor: pointer;
      border-radius: 5px;
    }
    button:hover,
    a:hover {
      transform: scale(1.05);
      transform-origin: center;
    }
    #app {
      font-family: Avenir, Helvetica, Arial, sans-serif;
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
      text-align: center;
      color: #2c3e50;
      width: 70%;
      margin: auto;
      height: 100%;
    }
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }
  </style>
</html>